## rtpdtmfmux rtpdtmfmux — mixes RTP DTMF streams into other RTP streams |

## Synopsis

    struct              GstRTPDTMFMux;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstRTPMux
                               +----GstRTPDTMFMux

## Signals

      "locking"                                        : Run Last
      "unlocked"                                       : Run Last

## Description

The RTP "DTMF" Muxer muxes multiple RTP streams into a valid RTP stream. It does exactly what it's parent (rtpmux) does, except that it prevent buffers coming over a regular sink_%`u` pad from going through for the duration of buffers that came in a priority_sink_%`u` pad.

This is especially useful if a discontinuous source like dtmfsrc or rtpdtmfsrc are connected to the priority sink pads. This way, the generated DTMF signal can replace the recorded audio while the tone is being sent.

## Synopsis

### Element Information

plugin | rtpmux
author | Zeeshan Ali <first.last@nokia.com>
class | Codec/Muxer

### Element Pads

name | priority_sink_%u
direction | sink
presence | request
details | application/x-rtp

name | sink_%u
direction | sink
presence | request
details | application/x-rtp

name | src
direction | source
presence | always
details | application/x-rtp

## Details

### struct GstRTPDTMFMux

    struct GstRTPDTMFMux;

The opaque GstRTPDTMFMux structure.

## Signal Details

### The `"locking"` signal

    void                user_function                      (GstRTPDTMFMux *gstrtpdtmfmux,
                                                            GstPad        *arg1,
                                                            gpointer       user_data)          : Run Last

`gstrtpdtmfmux` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The `"unlocked"` signal

    void                user_function                      (GstRTPDTMFMux *gstrtpdtmfmux,
                                                            GstPad        *arg1,
                                                            gpointer       user_data)          : Run Last

`gstrtpdtmfmux` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

## See Also

rtpdtmfsrc, dtmfsrc, rtpmux